com.impinj.stp

## Class StpApi.DeviceExceptionEvent

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.impinj.stp.StpApi.DeviceExceptionEvent

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.DeviceExceptionEventOrBuilder, java.io.Serializable
  Enclosing class:
    StpApi

      public static final class StpApi.DeviceExceptionEvent
      extends com.google.protobuf.GeneratedMessage
      implements StpApi.DeviceExceptionEventOrBuilder

  Protobuf type `Impinj.STP.DeviceExceptionEvent` **NOT YET SUPPORTED**
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StpApi.DeviceExceptionEvent.Builder` Protobuf type `Impinj.STP.DeviceExceptionEvent` **NOT YET SUPPORTED**

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEVICE_EXCEPTION_EVENT_TYPE_FIELD_NUMBER`
    `static int` | `EXCEPTION_DETAIL_FIELD_NUMBER`
    `static com.google.protobuf.Parser<StpApi.DeviceExceptionEvent>` | `PARSER`
    `static int` | `TIMESTAMP_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StpApi.DeviceExceptionEvent` | `getDefaultInstance()`
    `StpApi.DeviceExceptionEvent` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `StpApi.DeviceExceptionEventType` | `getDeviceExceptionEventType()`
    `java.lang.String` | `getExceptionDetail()`
    `com.google.protobuf.ByteString` | `getExceptionDetailBytes()`
    `com.google.protobuf.Parser<StpApi.DeviceExceptionEvent>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `StpApi.Timestamp` | `getTimestamp()`
    `StpApi.TimestampOrBuilder` | `getTimestampOrBuilder()`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasDeviceExceptionEventType()`
    `boolean` | `hasExceptionDetail()`
    `boolean` | `hasTimestamp()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static StpApi.DeviceExceptionEvent.Builder` | `newBuilder()`
    `static StpApi.DeviceExceptionEvent.Builder` | `newBuilder(StpApi.DeviceExceptionEvent prototype)`
    `StpApi.DeviceExceptionEvent.Builder` | `newBuilderForType()`
    `protected StpApi.DeviceExceptionEvent.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static StpApi.DeviceExceptionEvent` | `parseDelimitedFrom(java.io.InputStream input)`
    `static StpApi.DeviceExceptionEvent` | `parseDelimitedFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.DeviceExceptionEvent` | `parseFrom(byte[] data)`
    `static StpApi.DeviceExceptionEvent` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.DeviceExceptionEvent` | `parseFrom(com.google.protobuf.ByteString data)`
    `static StpApi.DeviceExceptionEvent` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.DeviceExceptionEvent` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static StpApi.DeviceExceptionEvent` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.DeviceExceptionEvent` | `parseFrom(java.io.InputStream input)`
    `static StpApi.DeviceExceptionEvent` | `parseFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.DeviceExceptionEvent.Builder` | `toBuilder()`
    `protected java.lang.Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<StpApi.DeviceExceptionEvent> PARSER

    - #### TIMESTAMP_FIELD_NUMBER

          public static final int TIMESTAMP_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DEVICE_EXCEPTION_EVENT_TYPE_FIELD_NUMBER

          public static final int DEVICE_EXCEPTION_EVENT_TYPE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### EXCEPTION_DETAIL_FIELD_NUMBER

          public static final int EXCEPTION_DETAIL_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static StpApi.DeviceExceptionEvent getDefaultInstance()

    - #### getDefaultInstanceForType

          public StpApi.DeviceExceptionEvent getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<StpApi.DeviceExceptionEvent> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasTimestamp

          public boolean hasTimestamp()

      Specified by:
        `hasTimestamp` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### getTimestamp

          public StpApi.Timestamp getTimestamp()

      Specified by:
        `getTimestamp` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### getTimestampOrBuilder

          public StpApi.TimestampOrBuilder getTimestampOrBuilder()

      Specified by:
        `getTimestampOrBuilder` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### hasDeviceExceptionEventType

          public boolean hasDeviceExceptionEventType()

      Specified by:
        `hasDeviceExceptionEventType` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### getDeviceExceptionEventType

          public StpApi.DeviceExceptionEventType getDeviceExceptionEventType()

      Specified by:
        `getDeviceExceptionEventType` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### hasExceptionDetail

          public boolean hasExceptionDetail()

      Specified by:
        `hasExceptionDetail` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### getExceptionDetail

          public java.lang.String getExceptionDetail()

      Specified by:
        `getExceptionDetail` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### getExceptionDetailBytes

          public com.google.protobuf.ByteString getExceptionDetailBytes()

      Specified by:
        `getExceptionDetailBytes` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws java.io.IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected java.lang.Object writeReplace()
                                           throws java.io.ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `java.io.ObjectStreamException`

    - #### parseFrom

          public static StpApi.DeviceExceptionEvent parseFrom(com.google.protobuf.ByteString data)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.DeviceExceptionEvent parseFrom(com.google.protobuf.ByteString data,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.DeviceExceptionEvent parseFrom(byte[] data)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.DeviceExceptionEvent parseFrom(byte[] data,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.DeviceExceptionEvent parseFrom(java.io.InputStream input)
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.DeviceExceptionEvent parseFrom(java.io.InputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.DeviceExceptionEvent parseDelimitedFrom(java.io.InputStream input)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.DeviceExceptionEvent parseDelimitedFrom(java.io.InputStream input,
                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.DeviceExceptionEvent parseFrom(com.google.protobuf.CodedInputStream input)
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.DeviceExceptionEvent parseFrom(com.google.protobuf.CodedInputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilder

          public static StpApi.DeviceExceptionEvent.Builder newBuilder()

    - #### newBuilderForType

          public StpApi.DeviceExceptionEvent.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static StpApi.DeviceExceptionEvent.Builder newBuilder(StpApi.DeviceExceptionEvent prototype)

    - #### toBuilder

          public StpApi.DeviceExceptionEvent.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected StpApi.DeviceExceptionEvent.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`